com.independentsoft.exchange

## Class RecurringDayTransition

- java.lang.Object
- - com.independentsoft.exchange.Transition
  - - com.independentsoft.exchange.RecurringDayTransition

-     public class RecurringDayTransition
      extends Transition

  Represents the occurrence of the day of the week in the month that the time zone transition occurs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecurringDayTransition()` Instantiates a new recurring day transition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DayOfWeek` | `getDayOfWeek()` Gets the day of the week on which the time zone transition occurs.
    `void` | `getDayOfWeek(DayOfWeek dayOfWeek)` Sets the day of the week on which the time zone transition occurs.
    `Month` | `getMonth()` Gets the month in which the time zone transition occurs.
    `void` | `getMonth(Month month)` Sets the month in which the time zone transition occurs.
    `int` | `getOccurrence()` Gets the occurrence of the day of the week in the month that the time zone transition occurs.
    `Duration` | `getTimeOffset()` Gets the duration offset from Coordinated Universal Time (UTC) for the time zone transition.
    `void` | `setOccurrence(int occurrence)` Sets the occurrence of the day of the week in the month that the time zone transition occurs.
    `void` | `setTimeOffset(Duration timeOffset)` Sets the duration offset from Coordinated Universal Time (UTC) for the time zone transition.
    `java.lang.String` | `toString()` Converts the value of the current RecurringDayTransition object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Transition

      `getTarget, getTargetDescription, setTarget, setTargetDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecurringDayTransition

          public RecurringDayTransition()

      Instantiates a new recurring day transition.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current RecurringDayTransition object to its equivalent string representation.
      Overrides:
        `toString` in class `Transition`
      Returns:
        the string

    - #### getTimeOffset

          public Duration getTimeOffset()

      Gets the duration offset from Coordinated Universal Time (UTC) for the time zone transition.
      Returns:
        the time offset

    - #### setTimeOffset

          public void setTimeOffset(Duration timeOffset)

      Sets the duration offset from Coordinated Universal Time (UTC) for the time zone transition.
      Parameters:
        `timeOffset` - the new time offset

    - #### getMonth

          public Month getMonth()

      Gets the month in which the time zone transition occurs.
      Returns:
        the month

    - #### getMonth

          public void getMonth(Month month)

      Sets the month in which the time zone transition occurs.
      Parameters:
        `month` - the month

    - #### getDayOfWeek

          public DayOfWeek getDayOfWeek()

      Gets the day of the week on which the time zone transition occurs.
      Returns:
        the day of week

    - #### getDayOfWeek

          public void getDayOfWeek(DayOfWeek dayOfWeek)

      Sets the day of the week on which the time zone transition occurs.
      Parameters:
        `dayOfWeek` - the day of week

    - #### getOccurrence

          public int getOccurrence()

      Gets the occurrence of the day of the week in the month that the time zone transition occurs.
      Returns:
        the occurrence

    - #### setOccurrence

          public void setOccurrence(int occurrence)

      Sets the occurrence of the day of the week in the month that the time zone transition occurs.
      Parameters:
        `occurrence` - the new occurrence